!#/usr/bin/php -q
<?php
/*
*   관리자 입찰 승인된 매물을 예약 발송 테이블에 등록한다.
*   실행시간
*   14:50 (전일 14:50:00 ~ 당일 14:49:59까지 수집된 데이터)
*/
include $_SERVER['DOCUMENT_ROOT'].'/common/lib/comm.php';
include $_SERVER['DOCUMENT_ROOT'].'/common/lib/aligo.php';


$start_date = date('Y-m-d 14:50:00', strtotime(date("Y-m-d"). '-1day'));
$end_date = date('Y-m-d 14:49:59');
$reserve_date = date('Y-m-d 14:59:59');


//발송 매물 갯수 확인
$sql = "SELECT count(*) as cnt
            FROM sale_master
                WHERE ds_delind = 'N'
					AND dt_approve between '".$start_date."' and '".$end_date."'
";
// echo $sql;
// exit;
$res = mysql_query($sql);
$cnt = 0;
while($col = mysql_fetch_array($res)) {
	$cnt = $col['cnt'];
}

// $cnt = 1000;
//발송 매물이 있을 경우 발송 테이블에 등록
if($cnt > 0) {

	$aligo = new Aligo();
	// $aligo->getToken();
	// $aligo->getHourToken();

	// $token = $aligo->getAccessToken();			//token은 실제 방송시에 얻어서 발송 처리
	$sender = $aligo->get_send_phone();
	$senderkey = $aligo->get_sender_key();
	$tpl_code = "TM_9262";


	$subject = "이차조아 - 누척승인";
	$message	= "이차조아

({count}) 매물이 등록되었습니다.


마이페이지에서 차량을 확인하세요";					//알림톡 내용

	$message = str_replace("{count}", number_format($cnt)."개", $message);


	// $aap_sql_add_sql = " AND nm_hp in ('010-9669-0727', '010-3239-3431') ";
	//AAP 검색
	$aap_sql = "SELECT *
					FROM aap_master am
						WHERE ds_delind = 'N'
							AND nm_hp > ''
							AND ds_status = 'Z0'
							$aap_sql_add_sql
					GROUP BY nm_hp
	";
	// echo $aap_sql;
	// exit;
	$aap_res = mysql_query($aap_sql);
	while($aap_col = mysql_fetch_array($aap_res)) {
		if(!empty($aap_col['nm_hp'])) {
			$phone = $aap_col['nm_hp'];

			$insert_sql = "INSERT IGNORE INTO aligo_send SET
								type			= '1',
								senderkey 		= '{$senderkey}',
								tpl_code 		= '{$tpl_code}',
								sender 			= '{$sender}',
								subject 		= '{$subject}',
								phone 			= '{$phone}',
								message 		= '{$message}',
								reserve_date 	= '{$reserve_date}'
			";
			// echo $insert_sql;
			mysql_query($insert_sql, $connect);
			// exit;
		}
	}
}
echo 'End';
